From dced8395f95c91e3bbfe054dc37402b765b66a77 Mon Sep 17 00:00:00 2001
From: Stanislav Motylkov <x86corez@gmail.com>
Date: Wed, 22 Nov 2017 22:31:50 +0300
Subject: rasapi32: Add stub for RasGetConnectionStatistics

Fixes https://jira.reactos.org/browse/CORE-10426

Signed-off-by: Stanislav Motylkov <x86corez@gmail.com>
---
 dlls/rasapi32/rasapi.c      | 6 ++++++
 dlls/rasapi32/rasapi32.spec | 1 +
 include/raserror.h          | 1 +
 3 files changed, 8 insertions(+)

diff --git a/dlls/rasapi32/rasapi.c b/dlls/rasapi32/rasapi.c
index b1721c6175..791b0dab13 100644
--- a/dlls/rasapi32/rasapi.c
+++ b/dlls/rasapi32/rasapi.c
@@ -547,3 +547,9 @@ DWORD WINAPI RasGetLinkStatistics(HRASCONN connection, DWORD entry, RAS_STATS *s
     FIXME("(%p,%u,%p), stub!\n", connection, entry, statistics);
     return 0;
 }
+
+DWORD WINAPI RasGetConnectionStatistics(HRASCONN connection, RAS_STATS *statistics)
+{
+    FIXME("(%p,%p), stub!\n", connection, statistics);
+    return ERROR_UNKNOWN;
+}
diff --git a/dlls/rasapi32/rasapi32.spec b/dlls/rasapi32/rasapi32.spec
index 66b21a657c..e8a28a8814 100644
--- a/dlls/rasapi32/rasapi32.spec
+++ b/dlls/rasapi32/rasapi32.spec
@@ -33,6 +33,7 @@
 @ stdcall RasGetConnectStatusA(ptr ptr)
 @ stdcall RasGetConnectStatusW(ptr ptr)
 @ stub RasGetConnectStatusWow
+@ stdcall RasGetConnectionStatistics(ptr ptr)
 @ stub RasGetCountryInfoA
 @ stub RasGetCountryInfoW
 @ stub RasGetCredentialsA
diff --git a/include/raserror.h b/include/raserror.h
index 1735936878..549b42423c 100644
--- a/include/raserror.h
+++ b/include/raserror.h
@@ -23,6 +23,7 @@
 #define ERROR_BUFFER_TOO_SMALL                 (RASBASE+3)
 #define ERROR_BUFFER_INVALID                   (RASBASE+10)
 #define ERROR_INVALID_SIZE                     (RASBASE+32)
+#define ERROR_UNKNOWN                          (RASBASE+35)
 #define ERROR_STATE_MACHINES_NOT_STARTED       (RASBASE+95)
 #define ERROR_RASMAN_CANNOT_INITIALIZE         (RASBASE+111)
 
-- 
2.11.0.windows.3

